function Create(self)
	self.origin = IsAnyActorAtPosition(self.Pos);  -- Gets the actor, who shot the projectile. Projectile must form inside the gun for this to work. It is best to set MuzzleOffset in ini file to (0,0) we'll add offset later in this script 
	if self.origin ~= nil and MovableMan:ValidMO(self.origin) then -- Check if actor is ok
		local AimVector = ConvertAngleToNormalizedVector(self.origin:GetAimAngle(true)); -- Get actors aim angle
		self.Pos = self.Pos + AimVector*15; -- move the projectile to a new position where muzzle should be
		CastD9Lightning(self.Pos, AimVector, 350, self.origin.ID); -- Use function from the library to create particle stream with predefined settings. Starting at self.Pos, aiming along AimVector with length of 350, ignoring actor who created it;
		-- Instead of CastD9Lightning we can use any other predefined effect or create new effect using CastParticleStream function
	end
	self.ToDelete=true; -- Destroy the projectile as we dont need it any more
end


